# AnchorUi

Add [CoreUI](https://coreui.io/index.html) to Rails 5 projects and the asset pipeline.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'anchor_ui'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install anchor_ui

## Usage

Run `rails g anchor_ui:install` to import core-ui to application.scss

You can also manually add the reference:

Stylesheets:

```ruby
// app/assets/stylesheets/application.scss

@import "custom-variables";
@import "coreui-free";
```

Javascript:

```ruby
// app/assets/javascripts/application.js

//= require coreui-free
```

Run `rails g anchor_ui:layout` to generate a sample admin layout with sidebar.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/anchor_ui. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the AnchorUi project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/anchor_ui/blob/master/CODE_OF_CONDUCT.md).
